<template>
    <div>
        <slot
            ref="selectChild"
            :value="value"
            :options="options"
            :arrow-style="arrowStyle"
            :current_label="current_label"
            @click="toggleOpened"
        ></slot>
    </div>
</template>
<script>
    export default {
        name: "SelectWrapper",
        props: ['value', 'options', 'opened'],
        model: {
            prop: 'value',
            event: 'input'
        },
        computed: {
            arrowStyle() {
                return this.opened ? {
                    '-webkit-transform' : 'rotate(270deg)',
                    'transform' : 'rotate(270deg)'
                } : {
                    '-webkit-transform' : 'rotate(90deg)',
                    'transform' : 'rotate(90deg)'
                }
            },
            current_label(){
                return this.options[this.value];
            }
        },
        methods: {
            change(key){
                this.$emit('input', key);
                this.$emit('opened', false);
            },
            toggleOpened(){
                this.$emit('opened', !this.opened);
            }
        }
    }
</script>
